Description

Inspired by #20063-3 | thought that it would be nice to have the option to change the format of issue title displaying when they get
rendered as a link. That could be used in the activity view as well or possibly any other location.

In the end what | would like to have is the option to render the tracker combined with the status, so that it gets more human readable.
For example:

Unseen feature #123: bla
Open Bug #234: bla

Closed Bug #456: bla
Implemented Feature #567: bla

As you see the status is the first word, the tracker the second. However, | think in other languages the order should be different, so it
needs to be made configurable (or it is hard-coded somewhere).

Sure, the status have to be combinable. Also the Tracker must not be a plural word. 'Needs feedback Features' sounds a bit
cumbersome, but it's still okay. If it would be configurable you could still achieve something like

issue-link-sample.png

Related issues:

Related to Redmine - Patch #20063: Add "issue#<number>" syntax for issue links New
Related to Redmine - Patch #29488: ##123 syntax for linking to issues with tr... Closed
Related to Redmine - Feature #29489: Issue macro for flexible linking to issues Closed
History

#1 - 2017-08-04 16:52 - Toshi MARUYAMA
- Related to Patch #20063: Add "issue#<number>" syntax for issue links added

#2 - 2018-09-10 22:25 - Marius BALTEANU
- Related to Patch #29488: ##123 syntax for linking to issues with tracker name and subject added

#3 - 2018-09-10 22:26 - Marius BALTEANU

- Related to Feature #29489: Issue macro for flexible linking to issues added

#4 - 2018-09-10 22:32 - Marius BALTEANU

- Category changed from Activity view to Text formatting
https://www.redmine.org/issues/20063#note-3
http://www.tcpdf.org

